URL Verification
Submit URL for verification
Submit a URL for verification. URLs are automatically checked against Google Web Risk API. Safe URLs are auto-approved, malicious URLs are blocked. URL shorteners (bit.ly, t.co, etc.) are always blocked.
Important: All SMS and Email messages containing URLs require those URLs to be verified before the message can be sent. This endpoint allows pre-verification of URLs.
POST
/
v1
/
urls
Submit URL for verification
curl --request POST \
--url https://api.zavu.dev/v1/urls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/page"
}
'import requests
url = "https://api.zavu.dev/v1/urls"
payload = { "url": "https://example.com/page" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com/page'})
};
fetch('https://api.zavu.dev/v1/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": {
"id": "url_abc123",
"url": "https://example.com/page",
"domain": "example.com",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The URL to submit for verification.
Example:
"https://example.com/page"
Response
URL already verified.
Show child attributes
Show child attributes
⌘I
Submit URL for verification
